---
{%- from "ripgrep/map.jinja" import ripgrep with context %}
ripgrep-archive-extract:
  archive.extracted:
    - name: {{ ripgrep.release_dir }}/ripgrep-{{ ripgrep.version }}
    - source: {{ ripgrep.mirror }}/{{ ripgrep.version }}/ripgrep-{{ ripgrep.version }}-{{ ripgrep.arch }}-unknown-{{ ripgrep.os|lower }}-musl.tar.gz
    - skip_verify: true
    - enforce_toplevel: false
    - user: root
    - group: root
    - enforce_ownership_on: {{ ripgrep.release_dir }}/ripgrep-{{ ripgrep.version }}
    - if_missing: {{ ripgrep.release_dir }}/ripgrep-{{ ripgrep.version }}/ripgrep

ripgrep-binary-symlink:
  file.symlink:
    - name: /usr/local/bin/ripgrep
    - target: {{ ripgrep.release_dir }}/ripgrep-v{{ ripgrep.version }}-{{ ripgrep.os }}-{{ ripgrep.arch }}/ripgrep
    - force: true
    - require:
      - archive: ripgrep-archive-extract

ripgrep-cleanup:
  software.cleanup:
    - name: ripgrep
    - path: {{ ripgrep.release_dir }}
    - version: "v{{ ripgrep.version }}"
